summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-proxy/wwwoffle/files/wwwoffle.initd')
-rw-r--r--net-proxy/wwwoffle/files/wwwoffle.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/net-proxy/wwwoffle/files/wwwoffle.initd b/net-proxy/wwwoffle/files/wwwoffle.initd
new file mode 100644
index 000000000000..8aa6e104036d
--- /dev/null
+++ b/net-proxy/wwwoffle/files/wwwoffle.initd
@@ -0,0 +1,21 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need localmount
+}
+
+start() {
+ ebegin "Starting wwwoffled"
+ start-stop-daemon --start --quiet --exec /usr/sbin/wwwoffled \
+ -u wwwoffle -- -c /etc/wwwoffle/wwwoffle.conf 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping wwwoffled"
+ start-stop-daemon --stop --quiet --name wwwoffled
+ eend $?
+}